import React, { ComponentType, RefAttributes } from 'react';
import type { HTMLRuntimeConfig } from '@diplodoc/html-extension';
import { IHTMLIFrameElementConfig } from '@diplodoc/html-extension/runtime';
import type { PluginRuntime, TransformMeta } from '../withMermaid/types';
export declare type WithYfmHtmlBlockOptions = {
    runtime: PluginRuntime;
};
export declare type WithYfmHtmlBlockProps = {
    meta: TransformMeta;
    yfmHtmlBlockConfig?: IHTMLIFrameElementConfig;
    /** Works only with html-extension dep version 2.7.1 and higher  */
    htmlRuntimeConfig?: HTMLRuntimeConfig;
};
export declare function withYfmHtmlBlock(opts: WithYfmHtmlBlockOptions): <T extends {
    html: string;
}>(Component: React.ComponentType<T & React.RefAttributes<HTMLDivElement>>) => React.ForwardRefExoticComponent<React.PropsWithoutRef<T & WithYfmHtmlBlockProps> & React.RefAttributes<HTMLDivElement>>;
